# Class: CallableStatement

Defined in: | src/callablestatement.coffee
Inherits: | PreparedStatement

## Overview

Connection object to a datasource. @see {NodeJDBC#config} Queries and methods are executed using a connection object.

## Instance Method Summary

- # (void) registerOutParameter(index, type) Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
- # (string) getString(index) @sync Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a string @param index parameter position.
- # (int) getInt(index) @sync Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as an integer @param index parameter position.
- # (int) getType(type) returns int representation of the type

## Inherited Method Summary

### Methods inherited from PreparedStatement

#setString #setInt #setTimestamp #executeUpdate #executeUpdateSync #addBatch #addBatchSync #executeBatch #executeBatchSync #executeQuery #close

## Constructor Details

# (void) constructor(callableStatement)

constructor method

### Parameters:

- callableStatement ( `Object` ) — java callableStatement interface object

## Instance Method Details

# (void) registerOutParameter(index, type)

Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.

### Parameters:

- index ( `int` ) — parameter position. first parameter is 1, second 2 ...
- sql ( `String` ) — type identifier @see java.sql.Types @example for java.sql.Types.INTEGER just pass 'INTEGER' @example for java.sql.Types.CHAR just pass 'CHAR' The above examples apply to all types in java.sql.Type. In short ; just pass the string representation of the type name

# (string) getString(index)

@sync

Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a string

@param index parameter position. first parameter is 1, second 2 ...

### Returns:

- ( `string` ) — get parameter value as string

# (int) getInt(index)

@sync

Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as an integer

@param index parameter position. first parameter is 1, second 2 ...

### Returns:

- ( `int` ) — get parameter value as integer

# (int) getType(type)

returns int representation of the type

### Returns:

- ( `int` ) — integer representation of the java.sql.Types.{TYPE} constant

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input